Index: code/branches/ogre1.9/data/gui/schemes/OrxonoxLook.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/OrxonoxLook.scheme	(revision 11125)
+++ code/branches/ogre1.9/data/gui/schemes/OrxonoxLook.scheme	(revision 11211)
@@ -1,53 +1,49 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="OrxonoxLook">
-    <Imageset Name="OrxonoxLook" Filename="OrxonoxLook.imageset" />
-    <LookNFeel Filename="OrxonoxLook.looknfeel" />
-    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
-
-    <!-- Standard widgets -->
-    <FalagardMapping WindowType="OrxonoxLook/StaticImage"              TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="OrxonoxLook/StaticImage" />
-    <FalagardMapping WindowType="OrxonoxLook/StaticText"               TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="OrxonoxLook/StaticText" />
-    <FalagardMapping WindowType="OrxonoxLook/TabButtonPane"            TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="OrxonoxLook/TabButtonPane" />
-    <FalagardMapping WindowType="OrxonoxLook/TabContentPane"           TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="OrxonoxLook/TabContentPane" />
-    <FalagardMapping WindowType="OrxonoxLook/Checkbox"                 TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="OrxonoxLook/Checkbox" />
-    <FalagardMapping WindowType="OrxonoxLook/Combobox"                 TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="OrxonoxLook/Combobox" />
-    <FalagardMapping WindowType="OrxonoxLook/ComboDropList"            TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="OrxonoxLook/ComboDropList" />
-    <FalagardMapping WindowType="OrxonoxLook/ComboEditbox"             TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="OrxonoxLook/ComboEditbox" />
-    <FalagardMapping WindowType="OrxonoxLook/Editbox"                  TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="OrxonoxLook/Editbox" />
-    <FalagardMapping WindowType="OrxonoxLook/FrameWindow"              TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="OrxonoxLook/FrameWindow" />
-    <FalagardMapping WindowType="OrxonoxLook/GroupBox"                 TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="OrxonoxLook/GroupBox" />
-    <FalagardMapping WindowType="OrxonoxLook/ItemListbox"              TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="OrxonoxLook/ItemListbox" />
-    <FalagardMapping WindowType="OrxonoxLook/ListboxItem"              TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="OrxonoxLook/ListboxItem" />
-    <FalagardMapping WindowType="OrxonoxLook/Listbox"                  TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="OrxonoxLook/Listbox" />
-    <FalagardMapping WindowType="OrxonoxLook/ListHeader"               TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="OrxonoxLook/ListHeader" />
-    <FalagardMapping WindowType="OrxonoxLook/ListHeaderSegment"        TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="OrxonoxLook/ListHeaderSegment" />
-    <FalagardMapping WindowType="OrxonoxLook/MultiLineEditbox"         TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="OrxonoxLook/MultiLineEditbox" />
-    <FalagardMapping WindowType="OrxonoxLook/Menubar"                  TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="OrxonoxLook/Menubar" />
-    <FalagardMapping WindowType="OrxonoxLook/MenuItem"                 TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="OrxonoxLook/MenuItem" />
-    <FalagardMapping WindowType="OrxonoxLook/MultiColumnList"          TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="OrxonoxLook/MultiColumnList" />
-    <FalagardMapping WindowType="OrxonoxLook/PopupMenu"                TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="OrxonoxLook/PopupMenu" />
-    <FalagardMapping WindowType="OrxonoxLook/ProgressBar"              TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="OrxonoxLook/ProgressBar" />
-    <FalagardMapping WindowType="OrxonoxLook/Button"                   TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/Button" />
-    <FalagardMapping WindowType="OrxonoxLook/ImageButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/ImageButton" />
-    <FalagardMapping WindowType="OrxonoxLook/RadioButton"              TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="OrxonoxLook/RadioButton" />
-    <FalagardMapping WindowType="OrxonoxLook/SystemButton"             TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="OrxonoxLook/Button" />
-    <FalagardMapping WindowType="OrxonoxLook/ScrollablePane"           TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="OrxonoxLook/ScrollablePane" />
-    <FalagardMapping WindowType="OrxonoxLook/HorizontalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="OrxonoxLook/HorizontalScrollbar" />
-    <FalagardMapping WindowType="OrxonoxLook/VerticalScrollbar"        TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="OrxonoxLook/VerticalScrollbar" />
-    <FalagardMapping WindowType="OrxonoxLook/Slider"                   TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="OrxonoxLook/Slider" />
-    <FalagardMapping WindowType="OrxonoxLook/Spinner"                  TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="OrxonoxLook/Spinner" />
-    <FalagardMapping WindowType="OrxonoxLook/TabButton"                TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="OrxonoxLook/TabButton" />
-    <FalagardMapping WindowType="OrxonoxLook/TabControl"               TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="OrxonoxLook/TabControl" />
-    <FalagardMapping WindowType="OrxonoxLook/HorizontalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/HorizontalScrollbarThumb" />
-    <FalagardMapping WindowType="OrxonoxLook/SliderThumb"              TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/SliderThumb" />
-    <FalagardMapping WindowType="OrxonoxLook/VerticalScrollbarThumb"   TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/VerticalScrollbarThumb" />
-    <FalagardMapping WindowType="OrxonoxLook/Titlebar"                 TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="OrxonoxLook/Titlebar" />
-    <FalagardMapping WindowType="OrxonoxLook/Tooltip"                  TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="OrxonoxLook/Tooltip" />
-    <FalagardMapping WindowType="OrxonoxLook/Tree"                     TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="OrxonoxLook/Tree" />
-
-    <!-- Additional widgets -->
-    <FalagardMapping WindowType="OrxonoxLook/AlternateProgressBar"        TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="OrxonoxLook/AltProgressBar" />
-    <FalagardMapping WindowType="OrxonoxLook/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="OrxonoxLook/VUMeter" />
-    <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="OrxonoxLook/LargeVerticalScrollbar" />
-    <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/LargeVerticalScrollbarThumb" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="OrxonoxLook" version="5">
+    <Imageset filename="OrxonoxLook.imageset" name="OrxonoxLook" />
+    <LookNFeel filename="OrxonoxLook.looknfeel" />
+    <WindowRendererSet filename="CEGUICoreWindowRendererSet" />
+    <FalagardMapping lookNFeel="OrxonoxLook/StaticImage" renderer="Core/StaticImage" targetType="DefaultWindow" windowType="OrxonoxLook/StaticImage" />
+    <FalagardMapping lookNFeel="OrxonoxLook/StaticText" renderer="Core/StaticText" targetType="DefaultWindow" windowType="OrxonoxLook/StaticText" />
+    <FalagardMapping lookNFeel="OrxonoxLook/TabButtonPane" renderer="Core/Default" targetType="DefaultWindow" windowType="OrxonoxLook/TabButtonPane" />
+    <FalagardMapping lookNFeel="OrxonoxLook/TabContentPane" renderer="Core/Default" targetType="DefaultWindow" windowType="OrxonoxLook/TabContentPane" />
+    <FalagardMapping lookNFeel="OrxonoxLook/Checkbox" renderer="Core/ToggleButton" targetType="CEGUI/ToggleButton" windowType="OrxonoxLook/Checkbox" />
+    <FalagardMapping lookNFeel="OrxonoxLook/Combobox" renderer="Core/Default" targetType="CEGUI/Combobox" windowType="OrxonoxLook/Combobox" />
+    <FalagardMapping lookNFeel="OrxonoxLook/ComboDropList" renderer="Core/Listbox" targetType="CEGUI/ComboDropList" windowType="OrxonoxLook/ComboDropList" />
+    <FalagardMapping lookNFeel="OrxonoxLook/ComboEditbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="OrxonoxLook/ComboEditbox" />
+    <FalagardMapping lookNFeel="OrxonoxLook/Editbox" renderer="Core/Editbox" targetType="CEGUI/Editbox" windowType="OrxonoxLook/Editbox" />
+    <FalagardMapping lookNFeel="OrxonoxLook/FrameWindow" renderer="Core/FrameWindow" targetType="CEGUI/FrameWindow" windowType="OrxonoxLook/FrameWindow" />
+    <FalagardMapping lookNFeel="OrxonoxLook/GroupBox" renderer="Core/Default" targetType="CEGUI/GroupBox" windowType="OrxonoxLook/GroupBox" />
+    <FalagardMapping lookNFeel="OrxonoxLook/ItemListbox" renderer="Core/ItemListbox" targetType="CEGUI/ItemListbox" windowType="OrxonoxLook/ItemListbox" />
+    <FalagardMapping lookNFeel="OrxonoxLook/ListboxItem" renderer="Core/ItemEntry" targetType="CEGUI/ItemEntry" windowType="OrxonoxLook/ListboxItem" />
+    <FalagardMapping lookNFeel="OrxonoxLook/Listbox" renderer="Core/Listbox" targetType="CEGUI/Listbox" windowType="OrxonoxLook/Listbox" />
+    <FalagardMapping lookNFeel="OrxonoxLook/ListHeader" renderer="Core/ListHeader" targetType="CEGUI/ListHeader" windowType="OrxonoxLook/ListHeader" />
+    <FalagardMapping lookNFeel="OrxonoxLook/ListHeaderSegment" renderer="Core/ListHeaderSegment" targetType="CEGUI/ListHeaderSegment" windowType="OrxonoxLook/ListHeaderSegment" />
+    <FalagardMapping lookNFeel="OrxonoxLook/MultiLineEditbox" renderer="Core/MultiLineEditbox" targetType="CEGUI/MultiLineEditbox" windowType="OrxonoxLook/MultiLineEditbox" />
+    <FalagardMapping lookNFeel="OrxonoxLook/Menubar" renderer="Core/Menubar" targetType="CEGUI/Menubar" windowType="OrxonoxLook/Menubar" />
+    <FalagardMapping lookNFeel="OrxonoxLook/MenuItem" renderer="Core/MenuItem" targetType="CEGUI/MenuItem" windowType="OrxonoxLook/MenuItem" />
+    <FalagardMapping lookNFeel="OrxonoxLook/MultiColumnList" renderer="Core/MultiColumnList" targetType="CEGUI/MultiColumnList" windowType="OrxonoxLook/MultiColumnList" />
+    <FalagardMapping lookNFeel="OrxonoxLook/PopupMenu" renderer="Core/PopupMenu" targetType="CEGUI/PopupMenu" windowType="OrxonoxLook/PopupMenu" />
+    <FalagardMapping lookNFeel="OrxonoxLook/ProgressBar" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="OrxonoxLook/ProgressBar" />
+    <FalagardMapping lookNFeel="OrxonoxLook/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="OrxonoxLook/Button" />
+    <FalagardMapping lookNFeel="OrxonoxLook/ImageButton" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="OrxonoxLook/ImageButton" />
+    <FalagardMapping lookNFeel="OrxonoxLook/RadioButton" renderer="Core/ToggleButton" targetType="CEGUI/RadioButton" windowType="OrxonoxLook/RadioButton" />
+    <FalagardMapping lookNFeel="OrxonoxLook/Button" renderer="Core/Button" targetType="CEGUI/PushButton" windowType="OrxonoxLook/SystemButton" />
+    <FalagardMapping lookNFeel="OrxonoxLook/ScrollablePane" renderer="Core/ScrollablePane" targetType="CEGUI/ScrollablePane" windowType="OrxonoxLook/ScrollablePane" />
+    <FalagardMapping lookNFeel="OrxonoxLook/HorizontalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="OrxonoxLook/HorizontalScrollbar" />
+    <FalagardMapping lookNFeel="OrxonoxLook/VerticalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="OrxonoxLook/VerticalScrollbar" />
+    <FalagardMapping lookNFeel="OrxonoxLook/Slider" renderer="Core/Slider" targetType="CEGUI/Slider" windowType="OrxonoxLook/Slider" />
+    <FalagardMapping lookNFeel="OrxonoxLook/Spinner" renderer="Core/Default" targetType="CEGUI/Spinner" windowType="OrxonoxLook/Spinner" />
+    <FalagardMapping lookNFeel="OrxonoxLook/TabButton" renderer="Core/TabButton" targetType="CEGUI/TabButton" windowType="OrxonoxLook/TabButton" />
+    <FalagardMapping lookNFeel="OrxonoxLook/TabControl" renderer="Core/TabControl" targetType="CEGUI/TabControl" windowType="OrxonoxLook/TabControl" />
+    <FalagardMapping lookNFeel="OrxonoxLook/HorizontalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="OrxonoxLook/HorizontalScrollbarThumb" />
+    <FalagardMapping lookNFeel="OrxonoxLook/SliderThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="OrxonoxLook/SliderThumb" />
+    <FalagardMapping lookNFeel="OrxonoxLook/VerticalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="OrxonoxLook/VerticalScrollbarThumb" />
+    <FalagardMapping lookNFeel="OrxonoxLook/Titlebar" renderer="Core/Titlebar" targetType="CEGUI/Titlebar" windowType="OrxonoxLook/Titlebar" />
+    <FalagardMapping lookNFeel="OrxonoxLook/Tooltip" renderer="Core/Tooltip" targetType="CEGUI/Tooltip" windowType="OrxonoxLook/Tooltip" />
+    <FalagardMapping lookNFeel="OrxonoxLook/Tree" renderer="Core/Tree" targetType="CEGUI/Tree" windowType="OrxonoxLook/Tree" />
+    <FalagardMapping lookNFeel="OrxonoxLook/AltProgressBar" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="OrxonoxLook/AlternateProgressBar" />
+    <FalagardMapping lookNFeel="OrxonoxLook/VUMeter" renderer="Core/ProgressBar" targetType="CEGUI/ProgressBar" windowType="OrxonoxLook/VUMeter" />
+    <FalagardMapping lookNFeel="OrxonoxLook/LargeVerticalScrollbar" renderer="Core/Scrollbar" targetType="CEGUI/Scrollbar" windowType="OrxonoxLook/LargeVerticalScrollbar" />
+    <FalagardMapping lookNFeel="OrxonoxLook/LargeVerticalScrollbarThumb" renderer="Core/Button" targetType="CEGUI/Thumb" windowType="OrxonoxLook/LargeVerticalScrollbarThumb" />
 </GUIScheme>
